Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » P2 update failing in Workbench-based product
P2 update failing in Workbench-based product [message #598938] Fri, 03 July 2009 08:17
ian mayo is currently offline ian mayoFriend
Messages: 17
Registered: July 2009
Junior Member
[mistakenly posted to RCP yesterday - posting to correct newsgroup today]

Hi all,
I've got a 3.4 application that was using classic updates.

I've switched to 3.5, and am now adopting p2.

I build and export my feature-based product (including metadata
repository). I'm then unsure about how updates should work.

I'm aware that the deploy stage creates a repository. If I update the
software, and re-do the export phase an updated repository is created.

If I open a deployed application, and select 'Check for updates', it
doesn't find anything ('there is nothing to update'). If I explicitly add
the repository (via the update section of preferences), no updates are
found, but if I 'install new software' and clear the 'group items by
category' option I can see the updated features. If I then select 'next',
my app correctly establishes that it's actually performing an update but
not an install, but then fails.

The failure indicates it can't install the updated features, because my
application depends on the existing versions:

===========================
Your original request has been modified.
"Combined Maritime Analysis Platform plugins" is already installed, so
an update will be performed instead.
"Debrief-specific plugins" is already installed, so an update will be
performed instead.
Cannot complete the install because of a conflicting dependency.
Software being installed: Combined Maritime Analysis Platform plugins
1.0.6.200907021610 (org.mwc.cmap.combined.feature.feature.group
1.0.6.200907021610)
Software currently installed: DebriefNG 3.0.0 (DebriefNG 3.0.0)
Only one of the following can be installed at once:
org.mwc.cmap.combined.feature_root 1.0.5.200907021600
org.mwc.cmap.combined.feature_root 1.0.6.200907021610
Cannot satisfy dependency:
From: DebriefNG 3.0.0 (DebriefNG 3.0.0)
To: org.mwc.cmap.combined.feature.feature.group [1.0.5.200907021600]
Cannot satisfy dependency:
From: Combined Maritime Analysis Platform plugins 1.0.5.200907021600
(org.mwc.cmap.combined.feature.feature.group 1.0.5.200907021600)
To: org.mwc.cmap.combined.feature_root [1.0.5.200907021600]
Cannot satisfy dependency:
From: Combined Maritime Analysis Platform plugins 1.0.6.200907021610
(org.mwc.cmap.combined.feature.feature.group 1.0.6.200907021610)
To: org.mwc.cmap.combined.feature_root [1.0.6.200907021610]
============================

I'd appreciate any tips on what is actually happening here. Do I have to
amend my product to say that it can take updates versions of it's features?


cheers,
Ian
Previous Topic:P2 update failing in Workbench-based product
Next Topic:[visualization] Unable to update
Goto Forum:
  


Current Time: Fri Jun 18 03:33:18 GMT 2021

Powered by FUDForum. Page generated in 0.01668 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top